Skip to main content
GET
/
api
/
v1
/
files
/
{id}
/
download
/
cURL
curl --request GET \
  --url https://api.example.com/api/v1/files/{id}/download/ \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "site": "<string>",
  "name": "<string>",
  "file": "<string>",
  "uploaded_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "download_url": "<string>",
  "entity_uri": "<string>",
  "content_type": "<string>",
  "size_bytes": 4611686018427388000,
  "metadata": "<unknown>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this site file.

Response

200 - application/json
id
string<uuid>
required
read-only
site
string
required
category
enum<string>
required
  • kg-csv - KG CSV Data
  • model-3d - 3D Model
  • bim-source - BIM Source File
  • spec-sheet - Spec Sheet
  • maintenance - Maintenance Document
  • other - Other
Available options:
kg-csv,
model-3d,
bim-source,
spec-sheet,
maintenance,
other
name
string
required
Maximum string length: 255
file
string<uri>
required
uploaded_by
string<uuid> | null
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
download_url
string
required
read-only
entity_uri
string
Maximum string length: 511
content_type
string
Maximum string length: 127
size_bytes
integer<int64>
Required range: 0 <= x <= 9223372036854776000
metadata
any